CONFIG_DEFER(9)

NAME
config_defer, config_mountroot - deferred device configuration

SYNOPSIS
#include <sys/param.h>
#include <sys/device.h>
void
config_defer(struct device *dev, void (*func)(struct device *));
void
config_mountroot(struct device *dev, void (*func)(struct device *));

DESCRIPTION
The config_defer() function is called by the child to defer the remainder of its configuration until all its parent devices have been attached. At this point, the function func is called with the argument dev.

The config_mountroot() function is called by a device driver to defer the remainder of its configuration until after the root file system is mounted. At this point, the function func is called with the argument dev.